gr::radar::ofdm_divide_vcvc Class Reference

This block performs a complex complex division with in0/in1. If vlen_out > vlen_in the additional space is filled with zeros. This can be used for zeropadding. discarded_carriers is a vector of the carriers which should be not used and set zero as division result. num_sync_words gives the number of sync words on which the discarded_carriers rule is not applied. More...

`#include <ofdm_divide_vcvc.h>`

Inheritance diagram for gr::radar::ofdm_divide_vcvc:

## Public Types

typedef std::shared_ptr< ofdm_divide_vcvc > | sptr

## Static Public Member Functions

static sptr | make (int vlen_in, int vlen_out, std::vector< int > discarded_carriers, int num_sync_words, std::string len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ofdm_divide_vcvc.

## Detailed Description

This block performs a complex complex division with in0/in1. If vlen_out > vlen_in the additional space is filled with zeros. This can be used for zeropadding. discarded_carriers is a vector of the carriers which should be not used and set zero as division result. num_sync_words gives the number of sync words on which the discarded_carriers rule is not applied.

Parameters

  vlen_in | Input vector length
  vlen_out | Output vector length
  discarded_carriers | Discarded carriers
  num_sync_words | Number of sync words
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<ofdm_divide_vcvc> gr::radar::ofdm_divide_vcvc::sptr

## Member Function Documentation

## make()

sptr gr::radar::ofdm_divide_vcvc::make | ( | int | vlen_in,
|  | int | vlen_out,
|  | std::vector< int > | discarded_carriers,
|  | int | num_sync_words,
|  | std::string | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::ofdm_divide_vcvc.

To avoid accidental use of raw pointers, radar::ofdm_divide_vcvc's constructor is in a private implementation class. radar::ofdm_divide_vcvc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ofdm_divide_vcvc.h